import { ISourcePosition } from '../ISourcePosition';
import { Fragment } from '../CompilerInterface';
export declare class IfFragment extends Fragment {
    private readonly expr;
    constructor(position: ISourcePosition, expr: string);
    render(): string;
}
export declare class ElseIfFragment extends Fragment {
    private readonly expr;
    constructor(position: ISourcePosition, expr: string);
    render(): string;
}
export declare class ElseFragment extends Fragment {
    render(): string;
}
export declare class EndIfFragment extends Fragment {
    render(): string;
}
